---
title: Plugin
---

### Plugin

This section will go over how to use the plugin that comes with the Variables module.

#### variable

The `variable` function returns the field type presenter for the `variable` specified in a given `group`.

###### Returns: `\Anomaly\Streams\Platform\Addon\FieldType\FieldTypePresenter` or `null`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$group

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The slug of the group you want to access.

</td>

</tr>

<tr>

<td>

$field

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The slug of the variable field in the group you want to access.

</td>

</tr>

</tbody>

</table>

###### Twig

    {{ variable('social', 'facebook_url').link('Facebook')|raw }} // <a href="http://facebook.com/pyrocms">Facebook</a>

#### variable_value

The `variable_value` function returns the raw data for the `variable` specified in a given `group`.

###### Returns: `mixed`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$group

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The slug of the group you want to access.

</td>

</tr>

<tr>

<td>

$field

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The slug of the variable field in the group you want to access.

</td>

</tr>

</tbody>

</table>

###### Twig

    {{ variable_value('social', 'facebook_url') }} // https://facebook.com/pyrocms

#### variable_group

The `variable_group` function returns the entire decorated `group` entry model so you can then easily access any `variable` on said model.

###### Returns: `\Anomaly\Streams\Platform\Entry\EntryPresenter` or `null`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$group

</td>

<td>

true

</td>

<td>

string

</td>

<td>

none

</td>

<td>

The slug of the group you want to access.

</td>

</tr>

</tbody>

</table>

###### Twig

    {{ variable_group('social').facebook_url }} // https://facebook.com/pyrocms (__toString output)
    {{ variable_group('social').facebook_url.value }} // https://facebook.com/pyrocms (raw value)
    {{ variable_group('social').facebook_url.link('Facebook') }} // <a href="https://facebook.com/pyrocms">Facebook</a>

    // Or set as a Twig variable

    {% set group = variable_group('social') %}

    {{ group.facebook_url.link('Facebook') }} // <a href="https://facebook.com/pyrocms">Facebook</a>
